var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconUploadingMdComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-uploading-md").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 32 32" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#6C7587', fillRule: "evenodd", d: "M8 2a4 4 0 0 0-4 4v20a4 4 0 0 0 4 4h16a4 4 0 0 0 4-4V12L18 2H8Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M12 24.686v-9.212c0-.284-.215-.514-.48-.514h-1.44c-.265 0-.48.23-.48.514v9.212c0 .284.215.514.48.514h1.44c.265 0 .48-.23.48-.514Zm10.4 0v-9.212c0-.284-.215-.514-.48-.514h-1.44c-.265 0-.48.23-.48.514v9.212c0 .284.215.514.48.514h1.44c.265 0 .48-.23.48-.514Z" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M11.293 14.96a.32.32 0 0 0-.292.45l3.987 8.926a.32.32 0 0 0 .306.224h1.413a.32.32 0 0 0 .305-.224l3.987-8.925a.32.32 0 0 0-.292-.451h-1.411a.32.32 0 0 0-.293.19L16 21.872l-3.003-6.724a.32.32 0 0 0-.292-.189h-1.412Z", clipRule: "evenodd", opacity: ".8" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#B5BAC3', d: "m18 2 10 10h-6a4 4 0 0 1-4-4V2Z" }));
}
var IconUploadingMd = React.forwardRef(IconUploadingMdComponent);
export default IconUploadingMd;
